Skip to main content
POST
/
voice
/
calls
cURL
curl --request POST \
  --url https://api.useanima.sh/v1/voice/calls \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "to": "<string>",
  "agentId": "<string>",
  "tier": "basic",
  "greeting": "<string>",
  "fromNumber": "<string>",
  "systemPrompt": "<string>"
}
'
{
  "callId": "<string>",
  "state": "<string>",
  "from": "<string>",
  "to": "<string>",
  "direction": "<unknown>"
}

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Body

application/json
to
string
required
agentId
string
tier
enum<string>
default:basic
Available options:
basic,
premium,
realtime
greeting
string
fromNumber
string
systemPrompt
string

Response

200 - application/json

OK

callId
string
required
state
string
required
from
string
required
to
string
required
tier
enum<string>
required
Available options:
basic,
premium,
realtime
direction
any
required